CSFML 3.0.0
Loading...
Searching...
No Matches
Enumerations
SoundChannel.h File Reference

Go to the source code of this file.

## Enumerations
enum | sfSoundChannel { sfSoundChannelUnspecified , sfSoundChannelMono , sfSoundChannelFrontLeft , sfSoundChannelFrontRight , sfSoundChannelFrontCenter , sfSoundChannelFrontLeftOfCenter , sfSoundChannelFrontRightOfCenter , sfSoundChannelLowFrequencyEffects , sfSoundChannelBackLeft , sfSoundChannelBackRight , sfSoundChannelBackCenter , sfSoundChannelSideLeft , sfSoundChannelSideRight , sfSoundChannelTopCenter , sfSoundChannelTopFrontLeft , sfSoundChannelTopFrontRight , sfSoundChannelTopFrontCenter , sfSoundChannelTopBackLeft , sfSoundChannelTopBackRight , sfSoundChannelTopBackCenter }
| Types of sound channels that can be read/written from sound buffers/files. More...

## Enumeration Type Documentation

## ◆ sfSoundChannel

enum sfSoundChannel

Types of sound channels that can be read/written from sound buffers/files.

In multi-channel audio, each sound channel can be assigned a position. The position of the channel is used to determine where to place a sound when it is spatialised. Assigning an incorrect sound channel will result in multi-channel audio being positioned incorrectly when using spatialisation.

Enumerator
sfSoundChannelUnspecified |
sfSoundChannelMono |
sfSoundChannelFrontLeft |
sfSoundChannelFrontRight |
sfSoundChannelFrontCenter |
sfSoundChannelFrontLeftOfCenter |
sfSoundChannelFrontRightOfCenter |
sfSoundChannelLowFrequencyEffects |
sfSoundChannelBackLeft |
sfSoundChannelBackRight |
sfSoundChannelBackCenter |
sfSoundChannelSideLeft |
sfSoundChannelSideRight |
sfSoundChannelTopCenter |
sfSoundChannelTopFrontLeft |
sfSoundChannelTopFrontRight |
sfSoundChannelTopFrontCenter |
sfSoundChannelTopBackLeft |
sfSoundChannelTopBackRight |
sfSoundChannelTopBackCenter |

Definition at line 38 of file SoundChannel.h.